weka.gui

## Class JListHelper

- java.lang.Object
- - weka.gui.JListHelper

-     public class JListHelper
      extends java.lang.Object

  A helper class for JList GUI elements with DefaultListModel or derived models.
  Version:
    $Revision: 8034 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)
  See Also:
    `JList`, `DefaultListModel`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MOVE_DOWN` moves items down
    `static int` | `MOVE_UP` moves items up

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JListHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `canMoveDown(javax.swing.JList list)` checks whether the selected items can be moved down
    `static boolean` | `canMoveUp(javax.swing.JList list)` checks whether the selected items can be moved up
    `static void` | `moveBottom(javax.swing.JList list)` moves the selected items to the end
    `static void` | `moveDown(javax.swing.JList list)` moves the selected item down by 1
    `static void` | `moveTop(javax.swing.JList list)` moves the selected items to the top
    `static void` | `moveUp(javax.swing.JList list)` moves the selected items up by 1

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MOVE_UP

          public static final int MOVE_UP

      moves items up
      See Also:
        Constant Field Values

    - #### MOVE_DOWN

          public static final int MOVE_DOWN

      moves items down
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JListHelper

          public JListHelper()

  - ### Method Detail

    - #### moveUp

          public static void moveUp(javax.swing.JList list)

      moves the selected items up by 1
      Parameters:
        `list` - the JList to work on

    - #### moveDown

          public static void moveDown(javax.swing.JList list)

      moves the selected item down by 1
      Parameters:
        `list` - the JList to work on

    - #### moveTop

          public static void moveTop(javax.swing.JList list)

      moves the selected items to the top
      Parameters:
        `list` - the JList to work on

    - #### moveBottom

          public static void moveBottom(javax.swing.JList list)

      moves the selected items to the end
      Parameters:
        `list` - the JList to work on

    - #### canMoveUp

          public static boolean canMoveUp(javax.swing.JList list)

      checks whether the selected items can be moved up
      Parameters:
        `list` - the JList to work on

    - #### canMoveDown

          public static boolean canMoveDown(javax.swing.JList list)

      checks whether the selected items can be moved down
      Parameters:
        `list` - the JList to work on